#!/bin/sh -e
 
### BEGIN INIT INFO
# Provides:          dockerui  
# Short-Description: Start or stop the dockerui 



PKG_PATH=/usr/local/AppCentral/dockerui

case "$1" in
    start)
        echo "Start dockerui ..."
        $PKG_PATH/bin/dockerui -p=":9011" -a="/usr/local/AppCentral/dockerui/bin" -e="/var/run/docker.sock" &
         
                        
        ;;
    stop)
    	echo "Stop dockerui  ..."
    	killall dockerui
        ;;
    reload)
    	echo "Reload dockerui  ..."
    	killall dockerui
    	sleep 3
        $PKG_PATH/bin/dockerui -p=":9011" -a="/usr/local/AppCentral/dockerui/bin" -e="/var/run/docker.sock" &
    	      
        ;;
    *)
        echo "Usage: $0 {start|stop|reload}"
        exit 1
        ;;
esac
exit 0
